# -*- mode: rpm-spec; coding: koi8-r -*-
Name: sysfsutils
Version: 1.2.0
Release: alt1.M24.1

Summary: Utility suite to enjoy sysfs
Summary(ru_RU.KOI8-R):       sysfs
License: GPL
Group: System/Kernel and hardware
Url: http://linux-diag.sourceforge.net/Sysfsutils.html

Source: http://prdownloads.sourceforge.net/linux-diag/%name-%version.tar.bz2
Patch: %name-1.1.0-alt-cpp.patch

%define lib_name libsysfs
%global _includedir %_includedir/sysfs
%def_enable static

Requires: %lib_name = %version-%release

%package -n %lib_name
Summary: Main library for %name
Summary(ru_RU.KOI8-R):    %name
License: LGPL
Group: System/Libraries

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %lib_name
Summary(ru_RU.KOI8-R):    ,  %lib_name
License: LGPL
Group: Development/C
Requires: %lib_name = %version-%release

%package -n %lib_name-static-devel
Summary: Static library for developing programs that will use %lib_name
Summary(ru_RU.KOI8-R):     ,  %lib_name
License: LGPL
Group: Development/C
Requires: %lib_name-devel = %version-%release

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs, a virtual filesystem in Linux kernel versions 2.5+ that
provides a tree of system devices.  While a filesystem is a very useful
interface, we've decided to provide a stable programming interface that
will hopefully make it easier for applications to query system devices
and their attributes.

%description -l ru_RU.KOI8-R
      
    sysfs. sysfs -   
,    Linux  2.5+,   
 .        
 ,     API, ,
  ,    , 
    .

%description -n %lib_name
This package contains the library needed to run programs dynamically
linked with %lib_name.

%description -n %lib_name -l ru_RU.KOI8-R
   ,    ,
   %lib_name.

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop
applications which will use %lib_name.

%description -n %lib_name-devel -l ru_RU.KOI8-R
    ,   ,
 ,  %lib_name.

%description -n %lib_name-static-devel
This package contains the static library that programmers will need to
develop applications which will use %lib_name.

%description -n %lib_name-static-devel -l ru_RU.KOI8-R
    ,  
    ,  %lib_name.

%prep
%setup -q
%patch -p1

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%configure --enable-shared %{subst_enable static}
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build -k check}}}

%install
%makeinstall
%define docdir %_docdir/%lib_name-%version
%__mkdir_p %buildroot%docdir
%__install -pm644 AUTHORS CREDITS ChangeLog NEWS TODO docs/*.txt %buildroot%docdir/
bzip2 -9f %buildroot%docdir/{ChangeLog,*.txt}

%post -n %lib_name -p %post_ldconfig
%postun -n %lib_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*

%files -n %lib_name
%_libdir/*.so.*
%dir %docdir
%docdir/[A-Z]*

%files -n %lib_name-devel
%_libdir/*.so
%_includedir
%dir %docdir
%docdir/[a-z]*

%if_enabled static
%files -n %lib_name-static-devel
%_libdir/*.a
%endif

%changelog
* Sat May 28 2005 LAKostis <lakostis at altlinux.ru> 1.2.0-alt1.M24.1
- backport to Master-2.4.

* Wed Nov 17 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.0-alt2
- Corrected package license information.
- Corrected interpackage dependencies.
- Changed documentation packaging.

* Thu Nov 11 2004 Anton Farygin <rider@altlinux.ru> 1.2.0-alt1
- update by Alexey Morozov:
    - New version (1.2.0)
    - Header files moved to %_includedir/sysfs
    - Russian translation added to spec

* Fri Jul 23 2004 Anton Farygin <rider@altlinux.ru> 1.1.0-alt2
- patch for use headers libsysfs-devel from C++ code

* Thu May 20 2004 Anton Farygin <rider@altlinux.ru> 1.1.0-alt1
- first build for Sisyphus
